<?php
class cPresentacion{
	function insertar($nom){
		$sql = "INSERT tb_presentacion (
			`tb_presentacion_nom`
			)
			VALUES (
			 '$nom'
			);"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	
	function ultimoInsert(){
		$sql = "SELECT max(tb_presentacion_id) as 'id' from tb_presentacion"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	
	function mostrarTodos(){
		$sql="SELECT * 
			FROM tb_presentacion
			WHERE tb_presentacion_xac='1'
			ORDER BY tb_presentacion_nom";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	function mostrarUno($id){
		$sql="SELECT * 
			FROM tb_presentacion
			WHERE tb_presentacion_id=$id";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	function comprobar_si_existe($nom){
		$sql="SELECT * 
			FROM tb_presentacion
			WHERE tb_presentacion_nom='$nom'";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	function modificar($id,$nom){ 
		$sql = "UPDATE tb_presentacion SET  
			`tb_presentacion_nom` =  '$nom'
			WHERE  tb_presentacion_id =$id;"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	
	function modificar_campo($id,$campo,$valor){
		$sql = "UPDATE tb_presentacion SET
			`tb_presentacion_$campo` =  '$valor' 
			WHERE tb_presentacion_id =$id;"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	
	function eliminar($id){
		$sql="DELETE FROM tb_presentacion WHERE tb_presentacion_id=$id";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
}
?>